Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.shipping
Interface ShippingMethod

All Superinterfaces:
  BusinessSmartComponent, EJBObject, Entity, Remote, RemoteRelationalReference, Serializable

public interface ShippingMethod
extends Entity

A shipping method is a mechanism by which product is delivered. It stores a standard set of attributes and allows for complex shipping cost calculation.

     Primary Key = com.beasys.commerce.ebusiness.shipping.ShippingMethodPk

A key that uniquely identifies this shipping method.

- Containment: By Value
- Multiplicity: 1:1
- PRIMARY KEY FIELD

Attribute: sizeLimit The maximum deliverable quantity.

- Containment: By Value
- Multiplicity: 1:1

Attribute: description An textual description of this shipping mechanism.

- Containment: By Value
- Multiplicity: 1:1

Attribute: signatureRequired True if the customer is required to acknowled delivery with a signature.

- Containment: By Value
- Multiplicity: 1:1

Attribute: weightLimit The maximum weight limit for this shipping mechanism.

- Containment: By Value
- Multiplicity: 1:1

Attribute: percentage Used when the shipping cost is a percentage of the total value of the order.

- Containment: By Value
- Multiplicity: 1:1

Attribute: poBoxAllowed True if this mechanism will allow delivery to a post office box.

- Containment: By Value
- Multiplicity: 1:1

Attribute: restrictions A description of any restrictions that apply to this shipping mechanism.

- Containment: By Value
- Multiplicity: 1:1

Attribute: averageShippingTime The average delivery time.

- Containment: By Value
- Multiplicity: 1:1

Attribute: carrier The service provider used for delivery.

- Containment: By Value
- Multiplicity: 1:1

Attribute: saturdayDelivery True if ths shipping mechanism will deliver on a Saturday.

- Containment: By Value
- Multiplicity: 1:1

Attribute: price The base shipping cost.

- Containment: By Value
- Multiplicity: 1:1

Attribute: packagingType

- Containment: By Value
- Multiplicity: 1:1

Attribute: costCalculationMechanism Used to specify one of the pre-programmed shipping cost calculation mechanisms. * Policy:Uses the Shipping Cost Calculation Policy to determine the total cost. * FlatRate: A single flat rate price is returned as specified in the price field. * PerItem: The count of items in the order is multiplied by the price field to determine the shipping cost. * Percentage: The total cost of the order is multiplied by the percenate specified to determine the cost.

- Containment: By Value
- Multiplicity: 1:1

Attribute: method The mechanism by which the item will be shipped. These include Air, Ship, Truck, etc..

- Containment: By Value
- Multiplicity: 1:1

Attribute: internationalDelivery True if this mechanism will deliver internationally.

- Containment: By Value
- Multiplicity: 1:1

See Also:
  `ShippingMethodPk`, `ShippingMethodHome`, `ShippingMethodImpl`, `ShippingMethodValue`

Method Summary
`int` | `getAverageShippingTime()` Get the value of averageShippingTime
`String` | `getCarrier()` Get the value of carrier
`String` | `getCostCalculationMechanism()` Get the value of costCalculationMechanism
`String` | `getDescription()` Get the value of description
`String` | `getIdentifier()`
`boolean` | `getInternationalDelivery()` Get the value of internationalDelivery
`String` | `getMethod()` Get the value of method
`String` | `getPackagingType()` Get the value of packagingType
`double` | `getPercentage()` Get the value of percentage
`boolean` | `getPoBoxAllowed()` Get the value of poBoxAllowed
`Money` | `getPrice()` Get the value of price
`String` | `getRestrictions()` Get the value of restrictions
`boolean` | `getSaturdayDelivery()` Get the value of saturdayDelivery
`ShippingMethodValue` | `getShippingMethodByValue()` Get all of ShippingMethod's attributes.
`boolean` | `getSignatureRequired()` Get the value of signatureRequired
`double` | `getSizeLimit()` Get the value of sizeLimit
`double` | `getWeightLimit()` Get the value of weightLimit
`void` | `setAverageShippingTime(int averageShippingTime)` Set the value of averageShippingTime
`void` | `setCarrier(String carrier)` Set the value of carrier
`void` | `setCostCalculationMechanism(String costCalculationMechanism)` Set the value of costCalculationMechanism
`void` | `setDescription(String description)` Set the value of description
`void` | `setInternationalDelivery(boolean internationalDelivery)` Set the value of internationalDelivery
`void` | `setMethod(String method)` Set the value of method
`void` | `setPackagingType(String packagingType)` Set the value of packagingType
`void` | `setPercentage(double percentage)` Set the value of percentage
`void` | `setPoBoxAllowed(boolean poBoxAllowed)` Set the value of poBoxAllowed
`void` | `setPrice(Money price)` Set the value of price
`void` | `setRestrictions(String restrictions)` Set the value of restrictions
`void` | `setSaturdayDelivery(boolean saturdayDelivery)` Set the value of saturdayDelivery
`void` | `setShippingMethodByValue(ShippingMethodValue value)` Set all of ShippingMethod's attributes to the passed in value.
`void` | `setSignatureRequired(boolean signatureRequired)` Set the value of signatureRequired
`void` | `setSizeLimit(double sizeLimit)` Set the value of sizeLimit
`void` | `setWeightLimit(double weightLimit)` Set the value of weightLimit

Methods inherited from interface javax.ejb.EJBObject
`getEJBHome, getHandle, getPrimaryKey, isIdentical, remove`

Methods inherited from interface com.beasys.commerce.foundation.RemoteRelationalReference
`get__classIdentifier, get__containingBelonging, get__containingEntity, get__mapKey, get__sequenceNumber, set__containingBelonging, set__containingEntity, set__mapKey`

Method Detail

### getAverageShippingTime

    public int getAverageShippingTime()
                               throws RemoteException

  Get the value of averageShippingTime

  Returns:
    averageShippingTime.
  Throws:
    `RemoteException`

### getCarrier

    public String getCarrier()
                      throws RemoteException

  Get the value of carrier

  Returns:
    carrier.
  Throws:
    `RemoteException`

### getCostCalculationMechanism

    public String getCostCalculationMechanism()
                                       throws RemoteException

  Get the value of costCalculationMechanism

  Returns:
    costCalculationMechanism.
  Throws:
    `RemoteException`

### getDescription

    public String getDescription()
                          throws RemoteException

  Get the value of description

  Returns:
    description.
  Throws:
    `RemoteException`

### getIdentifier

    public String getIdentifier()
                         throws RemoteException

  Throws:
    `RemoteException`

### getInternationalDelivery

    public boolean getInternationalDelivery()
                                     throws RemoteException

  Get the value of internationalDelivery

  Returns:
    internationalDelivery.
  Throws:
    `RemoteException`

### getMethod

    public String getMethod()
                     throws RemoteException

  Get the value of method

  Returns:
    method.
  Throws:
    `RemoteException`

### getPackagingType

    public String getPackagingType()
                            throws RemoteException

  Get the value of packagingType

  Returns:
    packagingType.
  Throws:
    `RemoteException`

### getPercentage

    public double getPercentage()
                         throws RemoteException

  Get the value of percentage

  Returns:
    percentage.
  Throws:
    `RemoteException`

### getPoBoxAllowed

    public boolean getPoBoxAllowed()
                            throws RemoteException

  Get the value of poBoxAllowed

  Returns:
    poBoxAllowed.
  Throws:
    `RemoteException`

### getPrice

    public Money getPrice()
                   throws RemoteException

  Get the value of price

  Returns:
    price.
  Throws:
    `RemoteException`

### getRestrictions

    public String getRestrictions()
                           throws RemoteException

  Get the value of restrictions

  Returns:
    restrictions.
  Throws:
    `RemoteException`

### getSaturdayDelivery

    public boolean getSaturdayDelivery()
                                throws RemoteException

  Get the value of saturdayDelivery

  Returns:
    saturdayDelivery.
  Throws:
    `RemoteException`

### getShippingMethodByValue

    public ShippingMethodValue getShippingMethodByValue()
                                                 throws RemoteException

  Get all of ShippingMethod's attributes.

  Returns:
    ShippingMethodValue the ShippingMethod value object
  Throws:
    `RemoteException`

### getSignatureRequired

    public boolean getSignatureRequired()
                                 throws RemoteException

  Get the value of signatureRequired

  Returns:
    signatureRequired.
  Throws:
    `RemoteException`

### getSizeLimit

    public double getSizeLimit()
                        throws RemoteException

  Get the value of sizeLimit

  Returns:
    sizeLimit.
  Throws:
    `RemoteException`

### getWeightLimit

    public double getWeightLimit()
                          throws RemoteException

  Get the value of weightLimit

  Returns:
    weightLimit.
  Throws:
    `RemoteException`

### setAverageShippingTime

    public void setAverageShippingTime(int averageShippingTime)
                                throws RemoteException

  Set the value of averageShippingTime

  Parameters:
    `averageShippingTime` - averageShippingTime to be added
  Throws:
    `RemoteException`

### setCarrier

    public void setCarrier(String carrier)
                    throws RemoteException

  Set the value of carrier

  Parameters:
    `carrier` - carrier to be added
  Throws:
    `RemoteException`

### setCostCalculationMechanism

    public void setCostCalculationMechanism(String costCalculationMechanism)
                                     throws RemoteException

  Set the value of costCalculationMechanism

  Parameters:
    `costCalculationMechanism` - costCalculationMechanism to be added
  Throws:
    `RemoteException`

### setDescription

    public void setDescription(String description)
                        throws RemoteException

  Set the value of description

  Parameters:
    `description` - description to be added
  Throws:
    `RemoteException`

### setInternationalDelivery

    public void setInternationalDelivery(boolean internationalDelivery)
                                  throws RemoteException

  Set the value of internationalDelivery

  Parameters:
    `internationalDelivery` - internationalDelivery to be added
  Throws:
    `RemoteException`

### setMethod

    public void setMethod(String method)
                   throws RemoteException

  Set the value of method

  Parameters:
    `method` - method to be added
  Throws:
    `RemoteException`

### setPackagingType

    public void setPackagingType(String packagingType)
                          throws RemoteException

  Set the value of packagingType

  Parameters:
    `packagingType` - packagingType to be added
  Throws:
    `RemoteException`

### setPercentage

    public void setPercentage(double percentage)
                       throws RemoteException

  Set the value of percentage

  Parameters:
    `percentage` - percentage to be added
  Throws:
    `RemoteException`

### setPoBoxAllowed

    public void setPoBoxAllowed(boolean poBoxAllowed)
                         throws RemoteException

  Set the value of poBoxAllowed

  Parameters:
    `poBoxAllowed` - poBoxAllowed to be added
  Throws:
    `RemoteException`

### setPrice

    public void setPrice(Money price)
                  throws RemoteException

  Set the value of price

  Parameters:
    `price` - price to be added
  Throws:
    `RemoteException`

### setRestrictions

    public void setRestrictions(String restrictions)
                         throws RemoteException

  Set the value of restrictions

  Parameters:
    `restrictions` - restrictions to be added
  Throws:
    `RemoteException`

### setSaturdayDelivery

    public void setSaturdayDelivery(boolean saturdayDelivery)
                             throws RemoteException

  Set the value of saturdayDelivery

  Parameters:
    `saturdayDelivery` - saturdayDelivery to be added
  Throws:
    `RemoteException`

### setShippingMethodByValue

    public void setShippingMethodByValue(ShippingMethodValue value)
                                  throws RemoteException

  Set all of ShippingMethod's attributes to the passed in value. Note: Primary key attributes are not set.

  Throws:
    `RemoteException`

### setSignatureRequired

    public void setSignatureRequired(boolean signatureRequired)
                              throws RemoteException

  Set the value of signatureRequired

  Parameters:
    `signatureRequired` - signatureRequired to be added
  Throws:
    `RemoteException`

### setSizeLimit

    public void setSizeLimit(double sizeLimit)
                      throws RemoteException

  Set the value of sizeLimit

  Parameters:
    `sizeLimit` - sizeLimit to be added
  Throws:
    `RemoteException`

### setWeightLimit

    public void setWeightLimit(double weightLimit)
                        throws RemoteException

  Set the value of weightLimit

  Parameters:
    `weightLimit` - weightLimit to be added
  Throws:
    `RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved